Foreman - Bug #19495

Inherit allowable template combinations in child host groups
05/09/2017 10:58 AM - lain Hallam

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.14.3
Bugzilla link: Red Hat JIRA:

Pull request:

Description

I moved a server recently from a host group to a child host group, and its provisioning template changed. On digging it seems that
the combinations that can be set for host group and environment on the Association page of the template editor aren't inherited, and
don't propagate to any host groups under the selected group.

This surprised both me and ikonia on IRC. It seems that a tree structure should apply higher level choices to the lower levels, instead
of having to define every new host group as a valid combination. This is what happens with Puppet classes, for instance.

| suppose changing the default at this stage might break a lot of configurations out in the wild, so perhaps there ought to be an
install-wide setting for this, or simply a checkbox next to each combination to decide whether to apply to child host groups as well as
the specified one.

Related issues:
Is duplicate of Foreman - Bug #14624: Associating a template with a host grou... New 04/13/2016

History

#1 - 05/09/2017 11:02 AM - Dominic Cleal

- Is duplicate of Bug #14624: Associating a template with a host group does not associate child host groups added

#2 - 05/09/2017 11:03 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this appears to be tracked as issue #14624.

#3 - 05/09/2017 11:07 AM - lain Hallam

Dominic Cleal wrote:

Thanks for the report, this appears to be tracked as issue #14624.

So 'tis. | didn't find that one.
